Page MenuHomePhabricator

Alarms in Eventlogging hadoop sanitization
Closed, ResolvedPublic

Description

We should at least have some volume threshold of data being sanitized so as not to miss hours not sanitized. Ideally in grapghite.

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone

Event Timeline

Nuria created this task.Jul 5 2018, 8:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 5 2018, 8:01 PM
Nuria renamed this task from Eventlogging hadoop sanitization. Set alarms to Alarms in Eventlogging hadoop sanitization.Jul 6 2018, 6:19 PM
Nuria updated the task description. (Show Details)Jul 6 2018, 6:55 PM
Nuria added a comment.EditedJul 6 2018, 7:03 PM

See an event that we should have gotten alarms For: https://phabricator.wikimedia.org/T198906

fdans triaged this task as High priority.
mforns lowered the priority of this task from High to Normal.Oct 15 2018, 4:38 PM

Alarms via refinemonitor I think cover hadoop sanitization as if raw data is present in the eventlogging raw directories refine monitor will alarm if those have not been refined. Now, do we equally alarm if camus has not been able to pull data from kafka for a given time range? cc @Ottomata to confirm

Nuria closed this task as Resolved.Feb 12 2019, 3:52 AM